aboutsummaryrefslogtreecommitdiff
path: root/debian/patches/06_add_compile_time_defaults.dpatch
diff options
context:
space:
mode:
authorPeter Palfrader <peter@palfrader.org>2004-11-12 17:17:58 +0000
committerPeter Palfrader <peter@palfrader.org>2004-11-12 17:17:58 +0000
commitead200164a547a276c1ab92271aee85ccec4e642 (patch)
tree71c5ecbad9401ac742fd319b3ddf859ab8464339 /debian/patches/06_add_compile_time_defaults.dpatch
parenta1e7ad485502bfa686f623f245549822dbb8ca49 (diff)
downloadtor-ead200164a547a276c1ab92271aee85ccec4e642.tar
tor-ead200164a547a276c1ab92271aee85ccec4e642.tar.gz
Do not patch the default torrc to include settings we really want. Instead modify the compiled in default options.
svn:r2813
Diffstat (limited to 'debian/patches/06_add_compile_time_defaults.dpatch')
-rwxr-xr-xdebian/patches/06_add_compile_time_defaults.dpatch51
1 files changed, 51 insertions, 0 deletions
diff --git a/debian/patches/06_add_compile_time_defaults.dpatch b/debian/patches/06_add_compile_time_defaults.dpatch
new file mode 100755
index 000000000..4702a5add
--- /dev/null
+++ b/debian/patches/06_add_compile_time_defaults.dpatch
@@ -0,0 +1,51 @@
+#! /bin/sh -e
+## 06_add_compile_time_defaults.dpatch by <weasel@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad cvs/src/or/config.c /tmp/dpep.XUCqlY/cvs/src/or/config.c
+--- cvs/src/or/config.c 2004-11-12 17:40:22.906576139 +0100
++++ /tmp/dpep.XUCqlY/cvs/src/or/config.c 2004-11-12 17:58:01.603511522 +0100
+@@ -95,7 +95,7 @@
+ VAR("ControlPort", UINT, ControlPort, "0"),
+ VAR("CookieAuthentication",BOOL, CookieAuthentication, "0"),
+ VAR("DebugLogFile", STRING, DebugLogFile, NULL),
+- VAR("DataDirectory", STRING, DataDirectory, NULL),
++ VAR("DataDirectory", STRING, DataDirectory, "/var/lib/tor"),
+ VAR("DirPort", UINT, DirPort, "0"),
+ VAR("DirBindAddress", LINELIST, DirBindAddress, NULL),
+ VAR("DirFetchPostPeriod", UINT, DirFetchPostPeriod, "600"),
+@@ -135,11 +135,11 @@
+ VAR("ORPort", UINT, ORPort, "0"),
+ VAR("ORBindAddress", LINELIST, ORBindAddress, NULL),
+ VAR("OutboundBindAddress", STRING, OutboundBindAddress, NULL),
+- VAR("PidFile", STRING, PidFile, NULL),
++ VAR("PidFile", STRING, PidFile, "/var/run/tor/tor.pid"),
+ VAR("PathlenCoinWeight", DOUBLE, PathlenCoinWeight, "0.3"),
+ VAR("RedirectExit", LINELIST, RedirectExit, NULL),
+ OBSOLETE("RouterFile"),
+- VAR("RunAsDaemon", BOOL, RunAsDaemon, "0"),
++ VAR("RunAsDaemon", BOOL, RunAsDaemon, "1"),
+ VAR("RunTesting", BOOL, RunTesting, "0"),
+ VAR("RecommendedVersions", LINELIST, RecommendedVersions, NULL),
+ VAR("RendNodes", STRING, RendNodes, NULL),